/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package html;

import java.io.PrintWriter;

/**
 *
 * @author petr
 */
public class HtmlWriter {

    /**
     * Pomocná metoda tisknoucí hlavičku XHTML stránky.
     *
     * @param out
     *            výstup, na který se hlavička tiskne.
     * @param title
     *            titulek stránky umístěný do hlavičky, do elementu
     *            title.
     */
    public static void printHeader(PrintWriter out, String title) {
        out.println("<?xml version=\"1.0\" encoding=\"utf-8\"?>");
        out.println("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"");
        out.println("\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">");
        out.println("<html xmlns=\"http://www.w3.org/1999/xhtml\" "
                + "xml:lang=\"cs\" lang=\"cs\">");
        out.println("<head><meta http-equiv=\"content-type\" "
                + "content=\"text/html; charset=utf-8\" />");
        out.println("<link rel=\"stylesheet\" type=\"text/css\" href=\"css/style.css\" />");
        out.println("<title>" + title + "</title></head>");
        out.println("<body><div id=\"main\"><h1>");
        out.print(title);
        out.println("</h1>");
    }

    public static void printFooter(PrintWriter out) {
        out.println("</div><div id=\"autor\">Petr Bílek, 2D, &copy; 2011</div></body></html>");
    }

    public static void printError(PrintWriter out, String text) {
        out.print("<div class=\"error\">");
        out.print(text);
        out.print("</div>");
    }

    public static void printInputTableRow(PrintWriter out, String label,
                String idname, String value, String error) {
        out.print("<tr><td valign=\"bottom\">"+label+"</td>");
        out.print("<td valign=\"top\">");
        String className = "";
        if(error != null && !error.equals("")) {
            out.println("<span class=\"error\">"+error+"</span><br />");
            className=" class=\"error\"";
        }
        if(value == null)
            value = "";
        out.print("<input type=\"text\" id=\""+idname+"\" name=\""+idname
                    +"\" value=\""+value+"\""+className+" /></td></tr>");
    }
}